/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormArray, FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { CalculationControl } from './calculation-control';
import * as i0 from "@angular/core";
export declare class AswCalculationDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswCalculationDialog>;
    data: any;
    constants: any;
    aswEditCalculationForm: FormGroup;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswCalculationDialog>, data: any);
    ngOnInit(): void;
    validateFormBuilder(): void;
    editProperty(control: CalculationControl): void;
    get operations(): FormArray;
    createOperations(): FormGroup;
    onNoClick(): void;
    addNewOperation(): void;
    removeOperation(index: number): void;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswCalculationDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswCalculationDialog, "asw-calculation-dialog", never, {}, {}, never, never>;
}
